Download it now!
Bug 53031 - Undoing sheet deletion restores it to the default directionality regardless of the original sheet directionality
Summary: Undoing sheet deletion restores it to the default directionality regardless o...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2012-08-01 09:35 UTC by Dotan Cohen
Modified: 2013-05-17 07:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2012-08-01 09:35:08 UTC
Steps to reproduce:

0) Calc should be set as RTL by default: UI: English, Locale: Hebrew, Default languages for documents: Western: English, CTL: Hebrew

1) Open Calc (Note that the default directionality is RTL)

2) Change sheet to LTR: Format -> Sheet -> Uncheck RTL

3) Delete sheet by right-clicking the sheets tabs and selecting Delete Sheet

4) Press the Undo button on the toolbar to undo the delete


What happens:
The restored sheet is RTL, it should be LTR.



$ locale
LANG=en_US.UTF-8
LANGUAGE=
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME=en_DK.utf8
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
w
Comment 1 Lior Kaplan 2012-11-10 15:25:59 UTC
Reproducible in 3.6.3 and 3.7/master.

The undo adds the sheet with the directionality of the interface/locale. For English locale the sheet got back as LTR and with Hebrew locale the sheet got back as RTL.
Comment 2 Lior Kaplan 2013-03-31 07:48:45 UTC
Still happens with 4.0.2 and master (4.1).
Comment 3 Commit Notification 2013-05-16 14:04:27 UTC
Manal Alhassoun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08662568a590bfb20849fce077d8b5aff8b99b57

fix for fdo#53031



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Lior Kaplan 2013-05-17 06:25:20 UTC
Fix verified on a build from master. Thanks (:
Comment 5 Commit Notification 2013-05-17 07:23:37 UTC
Manal Alhassoun committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e6b9e4511baf189ce4e65c787765fd685ba2288&h=libreoffice-4-0

fix for fdo#53031


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.